
Price Monitoring - Bug #1640

the Barcode should be automatically generated from the system and removed from Add new defined

item dialog

08/25/2019 11:00 AM - Israa Naser

Status: Closed Start date: 08/25/2019

Priority: Urgent Due date:  

Assignee: Israa Naser % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Tareq Abuhamra Actual Result:  

Severity: Normal Environment: QA

Category: Price monitoring module Transaction Number:  

Sub-Category: Manage Defined Items Screen - ادارة

السلع المعرفة

Browser: Firefox

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:    

Description

As requested, the Barcode field should be removed from Add new defined item (coop item Not union) > check the attached email for

confirmation

- the Barcode should be auto-generated by the system and displayed to the user in Defined items table when the item is saved.

- the Barcode field should be removed from Add new defined item dialog

--------------------------------------------------------------------------------------------------------------------------------------------------------

Also let's consider the following:

1- the Barcode field should be removed from New defined item popup for General item

ازالة حقل الباركود في صندوق تعريف سلعة جديدة - سلعة جمعيات

2- the Barcode field should be Mandatory in Adding new Union item, it can't be empty

حقل الباركود يجب ان يكون الزامي في صندوق اضافة سلعة اتحاد جديدة

3- the Barcode field should be disabled on Edit popup for Both General item and Union Item

> [or general item it's a good idea to keep it displayed and populated and displayed for the user

==> For Union item it could cause issues as the barcode is a foreign key and shouldn't be edited

في صندوق تعديل السلع المعرفة لسلع الاتحاد والجمعيات يجب ان يكون حقل الباركود للقراءة فقط

Related issues:

Related to Task #1460: Manage Defined Items Screen - ادارة السلع المعرفة Closed 07/16/2019

History

#1 - 08/25/2019 11:00 AM - Israa Naser

- Related to Task #1460: Manage Defined Items Screen - ادارة السلع المعرفة added

#2 - 08/28/2019 10:11 PM - Tareq Abuhamra

- Assignee changed from Tareq Abuhamra to Abed Abuhalawa

Dear @Abed,

please review this issue, and do the needed.

#3 - 08/29/2019 12:40 PM - Abed Abuhalawa

- Status changed from Open to Fixed

- Assignee changed from Abed Abuhalawa to Israa Naser
the Barcode field should be removed from Add new defined item dialog ... done but need new deploy

the Barcode should be auto-generated by the system and displayed to the user in Defined items table when the item is saved.  >> by salameh

#4 - 08/29/2019 02:24 PM - Israa Naser

- File RE MoSA - SYS - COOP2  Price monitoring  UAT and Training activities .msg added

- Description updated

- Assignee changed from Israa Naser to Abed Abuhalawa

- % Done changed from 0 to 30

- Co-Workers Tareq Abuhamra added

- Co-Workers deleted (Abed Abuhalawa)

Abed could you please check my updates to the description box as confirmed with Tariq. Thank you

#5 - 08/29/2019 02:24 PM - Israa Naser

- Status changed from Fixed to Feedback

#6 - 08/29/2019 02:41 PM - Abed Abuhalawa

- Status changed from Feedback to Fixed

- Assignee changed from Abed Abuhalawa to Israa Naser

done

#7 - 08/31/2019 02:21 AM - Israa Naser

- File اضافة سلعة اتحاد - باركود الزامي.PNG added

- File اضافة سلعة - لا يوجد باركود.PNG added

- File تعديل سلعة اتحاد - باركود.PNG added

- File تعديل سلعة معرفة - باركود.PNG added

- File RE MoSA - SYS - COOP2  Price monitoring  UAT and Training activities - Union barcode.msg added

- Status changed from Fixed to Closed

- % Done changed from 30 to 100

the generated barcode starts with 99 and it's 15 digits

the requirements are confirmed in the email attached

Tested and verified

Files

coop defined item dialog.PNG 34.3 KB 08/25/2019 Israa Naser

RE MoSA - SYS - COOP2  Price monitoring  UAT and Training activities .msg350 KB 08/29/2019 Israa Naser

PNG.اضافة سلعة اتحاد - باركود الزامي 117 KB 08/30/2019 Israa Naser

PNG.اضافة سلعة - لا يوجد باركود 91.5 KB 08/30/2019 Israa Naser

PNG.تعديل سلعة معرفة - باركود 68.8 KB 08/30/2019 Israa Naser

PNG.تعديل سلعة اتحاد - باركود 71.5 KB 08/30/2019 Israa Naser

RE MoSA - SYS - COOP2  Price monitoring  UAT and Training activities - Union barcode.msg361 KB 08/30/2019 Israa Naser

Powered by TCPDF (www.tcpdf.org)

06/05/2025 2/2

http://www.tcpdf.org

